Post Reply 
Connection issue on Linux emulator
01-12-2020, 06:46 PM
Post: #1
Connection issue on Linux emulator
Hi All,

First a BIG thanks to Tim and the HP Prime team for getting a Linux version of the emulator out. I'm running it under Mint 19.2 and looks like I have dependency issue. I can't connect via USB to my physical Prime, and the emulator is throwing the following error messages:
------------
Gtk-Message: 10:38:45.033: Failed to load module "atk-bridge"
QFileDevice::seek: IODevice is not open
QIODevice::read (QFile, "/tmp/HPCK_e5ced4fc-2d0e-4dd1-81d5-0e536c080b53.lock"): device not open
--------------

I DO have the libatk-bridge2.0.0 shared libraries installed according to package manager.

Can anyone give me any hints - I'd love to get this working.

Thanks, Michael
Find all posts by this user
Quote this message in a reply
01-13-2020, 01:21 AM
Post: #2
RE: Connection issue on Linux emulator
There is no USB support in there yet. Sorry.

TW

Although I work for the HP calculator group, the views and opinions I post here are my own.
Find all posts by this user
Quote this message in a reply
01-13-2020, 01:38 AM
Post: #3
RE: Connection issue on Linux emulator
Ok... thanks for the quick reply Tim. Beats pounding my head against a wall in a hopeless venture. Hopefully someday eh? I guess I can still develop and test on it, then move the source to my Windows emulator on my VM to upload to the calc.
Find all posts by this user
Quote this message in a reply
03-30-2020, 03:01 PM
Post: #4
RE: Connection issue on Linux emulator
Dear Tim & Michael

I ended in this post after obtaining the same messages as you in the Linux terminal while I was discussing the calc communication issue here:

https://www.hpmuseum.org/forum/thread-14025-page-3.html

So good to know that you checked also this feature to avoid struggling too much with it. But as said, it is great to have the Linux emulator working!

Cheers!

Ramón

(01-12-2020 06:46 PM)mburr Wrote:  Hi All,

First a BIG thanks to Tim and the HP Prime team for getting a Linux version of the emulator out. I'm running it under Mint 19.2 and looks like I have dependency issue. I can't connect via USB to my physical Prime, and the emulator is throwing the following error messages:
------------
Gtk-Message: 10:38:45.033: Failed to load module "atk-bridge"
QFileDevice::seek: IODevice is not open
QIODevice::read (QFile, "/tmp/HPCK_e5ced4fc-2d0e-4dd1-81d5-0e536c080b53.lock"): device not open
--------------

I DO have the libatk-bridge2.0.0 shared libraries installed according to package manager.

Can anyone give me any hints - I'd love to get this working.

Thanks, Michael
Visit this user's website Find all posts by this user
Quote this message in a reply
Post Reply 




User(s) browsing this thread: 1 Guest(s)